﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;

namespace UltraGridRowLayoutCustom
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();


            ultraGrid1.Dock = DockStyle.Fill;

            DataTable dt = new DataTable();
            dt.Columns.Add("Column 1");
            dt.Columns.Add("Column 2");
            dt.Columns.Add("Column 3");

            dt.Rows.Add("1", "2", "3");
            dt.Rows.Add("1", "2", "3");

            ultraGrid1.DataSource = dt;

            UltraGridBand band = ultraGrid1.DisplayLayout.Bands[0];
            band.RowLayoutStyle = RowLayoutStyle.GroupLayout;

            UltraGridGroup group = band.Groups.Add("MyGroup", "MyGroup");

            band.Columns["Column 1"].RowLayoutColumnInfo.ParentGroup = group;
            band.Columns["Column 2"].RowLayoutColumnInfo.ParentGroup = group;

            band.Columns["Column 1"].RowLayoutColumnInfo.PreferredCellSize = new System.Drawing.Size(0, 18);
            band.Columns["Column 1"].RowLayoutColumnInfo.SpanX = 2;
            band.Columns["Column 1"].RowLayoutColumnInfo.SpanY = 4;

            band.Columns["Column 2"].RowLayoutColumnInfo.PreferredCellSize = new System.Drawing.Size(0, 18);
            band.Columns["Column 2"].RowLayoutColumnInfo.SpanX = 2;
            band.Columns["Column 2"].RowLayoutColumnInfo.SpanY = 4;


            band.Columns["Column 3"].RowLayoutColumnInfo.PreferredCellSize = new System.Drawing.Size(0, 18);
            band.Columns["Column 3"].RowLayoutColumnInfo.PreferredLabelSize = new System.Drawing.Size(0, 48);
            band.Columns["Column 3"].RowLayoutColumnInfo.SpanX = 2;
            band.Columns["Column 3"].RowLayoutColumnInfo.SpanY = 4;

        }
    }
}
